﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule;

namespace Sample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Task added with UltraCalendarInfo component
            Task simpleTask
                = this.ultraCalendarInfo1.Tasks.Add(DateTime.Today, TimeSpan.FromDays(5), "Task");

            // Setting the duration explicitly with TimeSpanFormat parameter
            simpleTask.SetDuration(simpleTask.Duration, TimeSpanFormat.Minutes);

            // Since start date and end date are DateTime columns, I am using simply .Format property
            this.ultraGanttView1.GridSettings.ColumnSettings["StartDateTime"].Format = "HH:mm:tt";
            this.ultraGanttView1.GridSettings.ColumnSettings["EndDateTime"].Format = "HH:mm:tt";
            this.ultraGanttView1.PerformAutoSizeGridColumn(TaskField.StartDateTime);
            this.ultraGanttView1.PerformAutoSizeGridColumn(TaskField.EndDateTime);
        }

        private void ultraGanttView1_TaskAdded(object sender, Infragistics.Win.UltraWinGanttView.TaskAddedEventArgs e)
        {
            // When task is added runtime, I am setting the duration of the time again with TimeSpanFormat parameter
            e.Task.SetDuration(e.Task.Duration, TimeSpanFormat.Minutes);
        }
    }
}
